Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » RCP Testing Tool » compatibility between Eclipe 03-2023 and RCPTT 2.5.4(which Eclipse version is compatible)
compatibility between Eclipe 03-2023 and RCPTT 2.5.4 [message #1858457] Mon, 03 April 2023 23:47 Go to next message
siala ghazi is currently offline siala ghaziFriend
Messages: 1
Registered: April 2023
Junior Member
In order to make tests with RCPTT- on a java interface, I wanted to know please if the Eclipe 03-2023 version is it compatible with RCPTT 2.5.4 ?
If not, what is the RCPTT version compatible with Eclipse 03-2022, or do we have to use the previous version (09-2022) of eclipse for the compatibility between Eclipe and RCPTT 2.5.4 (RCPTT 2.5.5 is not official yet, nightly version)

Thanks
Re: compatibility between Eclipe 03-2023 and RCPTT 2.5.4 [message #1862404 is a reply to message #1858457] Fri, 01 December 2023 17:02 Go to previous message
Victor Zamora is currently offline Victor ZamoraFriend
Messages: 1
Registered: December 2023
Junior Member
From my testing, RCPTT 2.5.4 is not compatible with Eclipse 03-2023.
When launching the Test Editor, I get the following error:

java.lang.NoClassDefFoundError: org/eclipse/jface/databinding/swt/SWTObservables

It seems that the test editor is using a deprecated class for its functionality, and Eclipse doesn't have these plugins installed.

I would also like to know if I can use any other version of RCPTT with Eclipse 03-2023.

I use Eclipse and RCPTT together for my day-to-day activities, and it's a huge inconvenience to need two different versions of Eclipse.
Previous Topic:Retrigger Perspective frequently
Next Topic:Run with exported run configuration
Goto Forum:
  


Current Time: Fri Feb 23 11:43:24 GMT 2024

Powered by FUDForum. Page generated in 0.01378 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top